com.holonplatform.vaadin.components.builders

## Interface BooleanInputBuilder

- All Superinterfaces:
    ComponentConfigurator<BooleanInputBuilder>, InputBuilder<Boolean,Input<Boolean>,BooleanInputBuilder>, InputConfigurator<Boolean,BooleanInputBuilder>

      public interface BooleanInputBuilder
      extends InputBuilder<Boolean,Input<Boolean>,BooleanInputBuilder>

  Builder to create `Boolean` type `Input` instances.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanInputBuilder` | `nullValueAsFalse(boolean nullValueAsFalse)` Sets whether to treat `null` values as `Boolean.FALSE` values
    `BooleanInputBuilder` | `withBlurListener(com.vaadin.event.FieldEvents.BlurListener listener)` Add a listener for focus lost events
    `BooleanInputBuilder` | `withFocusListener(com.vaadin.event.FieldEvents.FocusListener listener)` Add a listener for focus gained events

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### nullValueAsFalse

          BooleanInputBuilder nullValueAsFalse(boolean nullValueAsFalse)

      Sets whether to treat `null` values as `Boolean.FALSE` values
      Parameters:
        `nullValueAsFalse` - `true` to treat `null` values as `Boolean.FALSE` values
      Returns:
        this

    - #### withFocusListener

          BooleanInputBuilder withFocusListener(com.vaadin.event.FieldEvents.FocusListener listener)

      Add a listener for focus gained events
      Parameters:
        `listener` - Listener to add
      Returns:
        this

    - #### withBlurListener

          BooleanInputBuilder withBlurListener(com.vaadin.event.FieldEvents.BlurListener listener)

      Add a listener for focus lost events
      Parameters:
        `listener` - Listener to add
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.